package handler

import (
	"context"

	"github.com/tech/sendico/pkg/model"
)

type TelegramReactionHandler = func(context.Context, *model.TelegramReactionRequest) error

type TelegramTextHandler = func(context.Context, *model.TelegramTextRequest) error

type TelegramUpdateHandler = func(context.Context, *model.TelegramWebhookUpdate) error
